DeepSeek Search
RunAPI’nin DeepSeek uyumlu Search işlemi üzerinden istek gönderin.
Genel Bakış
Bu yol tarafından seçilen eşzamanlı arama. Model gerekmez ve akış desteklenmez. Bilinmeyen alanlar kabul edilir ancak yok sayılır.
Hızlı başlangıç
- Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
- Belgelenen JSON gövdesini gönderin; model gerekmez.
- JSON yanıtını okuyun ve belgelenen protokol hatalarını işleyin.
Uç Nokta
- Temel URL
https://runapi.ai- Sözleşme sürümü
v1- Tercih edilen kimlik doğrulama
Authorization: Bearer YOUR_API_TOKEN
Kimlik doğrulama taşıyıcıları
RunAPI aşağıda listelenen her taşıyıcıyı kabul eder. Oluşturulan örnekler, protokolün tercih ettiği başlığı kullanır.
- header - Tercih edilen
Authorization: Bearer YOUR_API_TOKEN- header
x-api-key: YOUR_API_TOKEN- header
x-goog-api-key: YOUR_API_TOKEN- query
?key=YOUR_API_TOKEN
Uyumlu modeller
Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.
1 uyumlu modeli göster
İstek sözleşmesi
Bu yol tarafından seçilen eşzamanlı arama. Model gerekmez ve akış desteklenmez. Bilinmeyen alanlar kabul edilir ancak yok sayılır.
JSON gövdesi5 alan
countintegerİstenen sonuç sayısı, 1 ile 50 arasında.
localizationstringSon kullanıcının IP adresi gibi yerelleştirme ipucu.
need_contentbooleanArama sonuçlarında sayfa içeriğini isteyin.
ori_question["string", "null"]1–128 Unicode karakterden oluşan özgün soru. Null, belirtilmemiş olarak değerlendirilir.
querystring1–128 Unicode karakterden oluşan arama sorgusu; yalnızca boşluk karakterlerinden oluşamaz.
İstek örneği
{
"count": 5,
"localization": "203.0.113.7",
"need_content": true,
"ori_question": null,
"query": "DeepSeek V4 release"
}
Eş zamanlı yanıt
Şema
{
"additionalProperties": true,
"properties": {
"results": {
"description": "Arama sonuçları. Boş bir dizi başarılı bir yanıttır ve ücretlendirilmez.",
"items": {
"additionalProperties": true,
"type": "object"
},
"type": "array"
}
},
"required": [
"results"
],
"type": "object"
}
Örnek
{
"results": [
{
"snippet": "Browse DeepSeek models and API documentation.",
"title": "DeepSeek models on RunAPI",
"url": "https://runapi.ai/models/deepseek"
}
]
}
Protokol hatası: invalid_request
Şema
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
Örnek
{
"error": {
"message": "'query' is required",
"type": "invalid_request_error"
}
}
Protokol hatası: rate_limited
Şema
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
Örnek
{
"error": {
"message": "Too many requests, please retry later",
"type": "rate_limit_error"
}
}
Oluşturulan Kod Örnekleri
Her cURL, JavaScript ve Python örneği, protokole özgü bir SDK gerektirmeden bu sözleşmedeki doğrulanmış isteği gönderir.
Yükle
pip install requests
import requests
response = requests.post(
"https://runapi.ai/v1/tools/search",
headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
json={"query": "DeepSeek V4 release", "count": 5, "ori_question": None, "localization": "203.0.113.7", "need_content": True}
)
response.raise_for_status()
print(response.json())